Save shipping and billing address and payment information

Use this endpoint to save shipping and billing address and payment information for the customer quote.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/user/quote/shipping-information' --header 'Content-Type: application/json' --header 'Authorization: Bearer t8oanc9binn6aoun00gdesma4gnw5uys' --data-raw '{ "addressInformation": { "shipping_address": { "region_id": 1375, "country_id": "IQ", "street": [ "Street 6203 Antoine Neck" ], "telephone": "3343434323", "postcode": null, "city": "Al-Anbar Governorate", "firstname": "John", "lastname": "Smithereen", "customer_id": 78, "email": "[email protected]" }, "billing_address": { "region_id": 1375, "country_id": "IQ", "street": [ "Street 6203 Antoine Neck" ], "telephone": "3343434323", "postcode": null, "city": "Al-Anbar Governorate", "firstname": "John", "lastname": "Smithereen", "customer_id": 78, "email": "[email protected]" }, "shipping_method_code": "flatrate", "shipping_carrier_code": "flatrate" }}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Body Params

Shipping information

Shipping information

paymentMethod
object
required

Payment

billingAddress
object

Interface AddressInterface

Responses

320

320 response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json